## exam 0.10.5

=== Makefile ===
VERSION = $(shell python setup.py --version)

test:
	python setup.py nosetests

release:
	git tag $(VERSION)
	git push origin $(VERSION)
	git push origin master
	python setup.py sdist upload

watch:
	bundle exec guard

.PHONY: test release watch

=== debian/changelog ===
exam (0.10.5-2) unstable; urgency=medium

  * Team upload.
  * Create DPMT git repository and refresh patches using gbp pq
  * Correct Vcs-* fields in debian/control to point to the correct package
    name
  * Use correct substitution varial for python3-exam so python3 interpreter
    depends are correctly generated (Closes: #867404)
  * Let dh_python determine the mock depends (corrects issue where python-
    exam incorrectly depended on python-mock instead of python3-mock)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Jul 2017 23:47:09 -0400

exam (0.10.5-1) unstable; urgency=low

  * Initial release. (Closes: #825822)

 -- Gilles Dubuc <gilles@wikimedia.org>  Thu, 19 May 2016 17:03:26 +0000

=== debian/control ===
Source: exam
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-mock,
               python-nose,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-mock,
               python3-nose,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/fluxx/exam
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/exam.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/exam.git

Package: python-exam
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python module to help write better tests
 Exam is a Python toolkit for writing better tests.  It aims to remove
 a lot of the boiler plate testing code one often writes, while still
 following Python conventions and adhering to the unit testing
 interface.
 .
 Aside from the obvious "does the code work?", writings tests has many
 additional goals and benefits:
 .
 - If written semantically, reading tests can help demonstrate how the
 code is supposed to work to other developers.
 .
 - If quick running, tests provide feedback during development that
 your changes are working or not having an adverse side effects.
 .
 - If they're easy to write correctly, developers will write more tests
 and they will be of a higher quality.
 .
 Unfortunately, the common pattern for writing Python unit tests tends
 to not offer any of these advantages. Often times results in
 inefficient and unnecessarily obtuse testing code. Additionally,
 common uses of the mock library can often result in repetitive
 boiler-plate code or inefficiency during test runs.
 .
 exam aims to improve the state of Python test writing by providing a
 toolkit of useful functionality to make writing quick, correct and
 useful tests and as painless as possible.
 .
 This package installs the library for Python 2.

Package: python3-exam
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module to help write better tests
 Exam is a Python toolkit for writing better tests.  It aims to remove
 a lot of the boiler plate testing code one often writes, while still
 following Python conventions and adhering to the unit testing
 interface.
 .
 Aside from the obvious "does the code work?", writings tests has many
 additional goals and benefits:
 .
 - If written semantically, reading tests can help demonstrate how the
 code is supposed to work to other developers.
 .
 - If quick running, tests provide feedback during development that
 your changes are working or not having an adverse side effects.
 .
 - If they're easy to write correctly, developers will write more tests
 and they will be of a higher quality.
 .
 Unfortunately, the common pattern for writing Python unit tests tends
 to not offer any of these advantages. Often times results in
 inefficient and unnecessarily obtuse testing code. Additionally,
 common uses of the mock library can often result in repetitive
 boiler-plate code or inefficiency during test runs.
 .
 exam aims to improve the state of Python test writing by providing a
 toolkit of useful functionality to make writing quick, correct and
 useful tests and as painless as possible.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=exam

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf exam.egg-info .cache
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/exam/exam-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## exam 0.10.6

=== debian/changelog ===
exam (0.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Drop 0001-Upstream-7c3f150a38076b48717cf08567c3e4809bf22a3d.patch, applied
    upstream.
  * Drop build dependency on python3-nose. (Closes: #1018349)
  * Set Standards-Version to 4.6.1.

 -- Emanuele Rocca <ema@debian.org>  Tue, 04 Oct 2022 13:44:20 +0200

exam (0.10.5-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:54:59 +0100

exam (0.10.5-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Add missing dependency on python3-importlib-metadata.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 21:20:54 -0400

exam (0.10.5-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 22 Aug 2019 22:51:14 +0500

=== debian/control ===
Source: exam
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-importlib-metadata
Homepage: https://github.com/fluxx/exam
Vcs-Git: https://salsa.debian.org/python-team/packages/exam.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/exam

Package: python3-exam
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module to help write better tests
 Exam is a Python toolkit for writing better tests.  It aims to remove
 a lot of the boiler plate testing code one often writes, while still
 following Python conventions and adhering to the unit testing
 interface.
 .
 Aside from the obvious "does the code work?", writings tests has many
 additional goals and benefits:
 .
 - If written semantically, reading tests can help demonstrate how the
 code is supposed to work to other developers.
 .
 - If quick running, tests provide feedback during development that
 your changes are working or not having an adverse side effects.
 .
 - If they're easy to write correctly, developers will write more tests
 and they will be of a higher quality.
 .
 Unfortunately, the common pattern for writing Python unit tests tends
 to not offer any of these advantages. Often times results in
 inefficient and unnecessarily obtuse testing code. Additionally,
 common uses of the mock library can often result in repetitive
 boiler-plate code or inefficiency during test runs.
 .
 exam aims to improve the state of Python test writing by providing a
 toolkit of useful functionality to make writing quick, correct and
 useful tests and as painless as possible.
 .
 This package installs the library for Python 3.

## exam DFT

=== Makefile ===
#############################################################
#                                                           #
#                   :  ҵ                         #
#                 : 2009/09/17                        #
#                                                           #
#############################################################

# Makefile
FC	= dclfrt
SRC	= simple.f
TARGET	= simple
OBJS	= DFT.f IDFT.f data_product.f
OBJS1	= DFT.o IDFT.o data_product.o
#OBJS2	= Gauss_sub_double.o LU_sub_double.o

.SUFFIXES: .f.o
.f.o:
	$(FC) -c $(OBJS)

all: $(TARGET)
$(TARGET): $(SRC) $(OBJS1)
	$(FC) -o $@ $(SRC) $(OBJS1)

clean:
	rm $(TARGET)
	rm $(OBJS1)
